ofono2mm (1.0.7+git20240510232929.4110884.trixie.production) trixie; urgency=medium

  * mm_modem: save current mode

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 10 May 2024 19:29:29 -0400

ofono2mm (1.0.6) trixie; urgency=medium

  * main: allow verbose mode using environment variables
  * main: set self.i to a default value on init
  * main: add more error handling when finding ofono modem
  * mm_modem_location: fix typo in setup
  * logging: don't try to print caller name if self is not in caller frame
  * treewide: import less stuff into memory for no reason

 -- Bardia Moshiri <fakeshell@bardia.tech>  Wed, 01 May 2024 01:48:19 +0000

ofono2mm (1.0.5) trixie; urgency=medium

  * treewide: save and restore context state across boots
  * treewide: add logging for all try catch blocks
  * treewide: move settings functions to utils and use a single file for everything
  * mm_bearer: save roaming state in settings.conf
  * main: drop useless passes
  * mm_sim: raise dbus error if no sim is present when an action is requested
  * mm_modem_3gpp: throw a dbuserror if modem is not in the correct state
  * mm_modem_3gpp_ussd: initiate ussd using asyncio and cancel on notification received
  * main: add more logging for modem selection and dbus owner name change
  * ofonoctl: add ipv6 support use DNS from ofono
  * ofonoctl: handle exceptions during ip and gateway handling
  * ofonoctl: try getting sim name from NetworkRegistration if there is no prop in SimManager
  * Merge pull request #1 from FuriLabs/feature/trixie/state-settings
  * mm_modem: indicate hspa plus
  * mm_modem_simple: indicate hspa plus

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 21 Apr 2024 23:01:26 +0000

ofono2mm (1.0.4) trixie; urgency=medium

  [ Bardia Moshiri ]
  * mm_modem: set supported bands properly
  * mm_modem: set props of signal interface on init
  * mm_modem_3gpp: setup props for initial eps bearer, operator code and packet service state
  * mm_modem: rename SIM interface from ModemManager to ModemManager1
  * mm_modem_signal: make set_props a non async function
  * main: export the sim that is present first
  * mm_modem: call set_props of simple on init
  * mm_modem_simple: add a method to setup APN in network manager
  * debian: add python3-networkmanager and python3-dbus to depends
  * mm_modem_simple: add a try except block around network manager apn
  * mm_modem: set supported and current bands properly
  * mm_modem_simple: return something when setting APN
  * main: setup a task to set APN on modem export
  * mm_modem: set the preferred state by mode value
  * mm_modem: set SupportedIpFamilies to ipv4, ipv6 and ipv4v6
  * mm_modem_simple: set username and password inside network manager connection
  * mm_modem_simple: check NM connection existence against apn name instead of carrier name
  * mm_modem_3gpp: implement initial eps bearer settings
  * treewide: move xml files to dbus/*
  * mm_modem_oma: return dbus error instead of just passing
  * mm_modem_sar: return dbus error instead of just passing
  * mm_modem_cdma: return dbus error instead of just passing
  * mm_modem_signal: return dbus error instead of just passing
  * mm_modem_firmware: return dbus error instead of just passing
  * mm_modem_3gpp: return dbus error instead of just passing
  * mm_modem_location: return dbus error instead of just passing
  * mm_modem_simple: add ofono changed functions and make set_props non async
  * mm_modem: make simple set_props non async
  * mm_modem_3gpp: correct function signature for all funtions with dbuserror
  * mm_modem_simple: emit props changed in set_props
  * mm_bearer: emit props changed in set_props
  * mm_sim: set a DBusError for SetPreferredNetworks
  * mm_modem_signal: add ofono changed functions and emit props changed in set_props
  * mm_modem_simple: add ofono_props to __init__ function signature
  * mm_modem_signal: add ofono_props to __init__ function signature
  * mm_modem: add new interfaces to ofono_changed and init interfaces
  * ofono2mm: drop all unused arguments for all interfaces
  * Revert: mm_modem: rename SIM interface from ModemManager to ModemManager1
  * mm_modem_messaging: call add_incoming_message on immediate message signal
  * treewide: implement proper logging
  * main: add a help and version message
  * mm_modem: pass self.verbose to simple when initing
  * mm_modem_voice: return a dummy value for CallWaitingQuery
  * mm_modem: implement Command method with /dev/smd*
  * mm_call: try hanging up from org.ofono.VoiceCall first and fallback to VoiceCallManager
  * ofonoctl: import into sources
  * Makefile: install ofonoctl
  * debian: package ofonoctl
  * mm_modem: save selected mode and set properly in set props
  * mm_modem_3gpp: set props for initial eps bearer on set props
  * mm_modem: run set props of 3gpp with await
  * mm_modem_simple: current bands and access technologies properly
  * mm_modem_location: set gps capabilities to LAC_CI

  [ arian lotfi ]
  * mm_modem: add getter method for mm_modem_simple

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 22 Mar 2024 21:13:09 -0400

ofono2mm (1.0.3) trixie; urgency=medium

  * mm_modem: set power states properly to not crash ofono
  * debian: depend on gir1.2-modemmanager-1.0
  * examples: import from ModemManager upstream
  * circleci: switch to furilabs

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 10 Mar 2024 18:40:30 -0400

ofono2mm (1.0.1) trixie; urgency=medium

  * mm_modem: show different indicators for various gsm and umts modes
  * ofono_modem: drop cell_* node values
  * mm_modem_time: listen on NetworkTimeChanged for time updates
  * mm_modem_voice: get emergency state from fixed dialing
  * debian: add gir1.2-geoclue-2.0 as runtime dependency
  * Merge pull request #19 from droidian/feature/trixie/indicators

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 17 Dec 2023 16:14:07 -0500

ofono2mm (1.0.0) trixie; urgency=medium

  [ Bardia Moshiri ]
  * main: add a try except block around ScanDevices to not fail if already initialized
  * ofono2mm: implement cdma interface
  * ofono2mm: implement MM firmware interface
  * mm_modem: add more info about driver and device to modem
  * ofono2mm: implement MM time interface
  * ofono2mm: implement MM sar interface
  * main: init sar, cdma and time interfaces
  * ofono2mm: implement MM Oma interface
  * ofono: remove extra get interface before try catch
  * mm_modem: set revision to SoftwareVersionNumber
  * mm_modem: set internet context protocol to ip
  * ofono2mm: implement 3gpp profile manager
  * mm_bearer: implement everything in properties and apn
  * mm_modem: implement Physdev and MaxActiveMultiplexedBearers
  * mm_modem_3gpp: implement all new methods and properties past 1.14
  * mm_sim: implement new properties past 1.14
  * 3gpp_profile_manager: return an empty array on List
  * modem_sar: remember the values set by the user
  * modem_firmware: set the correct signature for List
  * ofono2mm: implement modem signal interface
  * ofono2mm: implement modem location interface
  * modem_simple: implement GetStatus method
  * bearer: fix return type on ofono find apn
  * mm_modem_cdma: implement all the properties
  * do proper styling and formatting for all introspection documents
  * mm_modem: activate the correct access point and context before creating bearer
  * fixup copyright headers and add droidian developers
  * ofono2mm: replace all str calls with f strings
  * mm_modem: only set context if ConnectionManager is available
  * ofono2mm: add support for nr (5g)
  * mm_modem: add support for edge besides gsm
  * mm_modem: add gprs besides edge and gsm
  * mm_modem: add hspa, hsupa, hsdpa besides umts
  * mm_bearer: drop apn detection and the asyncio task
  * Merge pull request #15 from Joas329/testing
  * mm_modem: set protocol to ip when setting access point name
  * mm_modem: drop 3gpp_profile_manager set prop during init
  * 3gpp_profile_manager: expect roaming allowance input as an unsigned int
  * modem_time: attempt to get the time from modem once before falling back to system time
  * modem_location: initial support for geoclue location
  * ofono2mm: add try catch blocks to ignore harmless errors
  * mm_modem: set ofono modem to online and state to true on reset
  * mm_modem: reset the modem on factory reset
  * mm_modem: set the modem online and state correctly on power state changes
  * mm_modem: rename sim interface from ModemManager to ModemManager1
  * mm_modem_firmware: return unique-id as a string wrapped in a variant inside a dictionary
  * mm_modem_location: initialize and return the location from geoclue
  * mm_sim: implement emergency numbers and preferred networks
  * mm_modem: implement GetCellInfo
  * mm_modem_firmware: update props when listing firmware
  * mm_bearer: implement set_props for properties and sync on connection
  * ofono2mm: implement 3gpp ussd interface
  * 3gpp_ussd: try catch ofono calls in state
  * ofono2mm: implement dummy voice and call interfaces
  * 3gpp_ussd: move properties to self.props
  * modem_simple: try catch do connect in case of failure
  * modem_simple: implement set props for GetStatus
  * mm_voice: implement basic call functionality
  * ofono2mm: use context type instead of context name when checking for apn and access point data
  * mm_modem_signal: attempt to get signal information from org.ofono.NetworkMonitor
  * mm_bearer: add try catch block around set props
  * ofono2mm: refactor and clean all interfaces
  * ofono2mm: comment debug messages
  * Merge pull request #16 from droidian/feature/trixie/cdma-testing
  * mm_modem: allow primary slot to be changed
  * mm_modem: mm_modem: allow caps and modes to be set by the user
  * mm_modem: implement UnlockRetries props using org.ofono.SimManager
  * mm_modem_simple: move bearer connection inside try catch
  * ofono2mm: add comments to interface props
  * mm_modem_simple: implemenet 3gpp registration and access technologies in props
  * mm_voice: implement signals and context reactivation after calls
  * mm_voice: export a call object and set the props accordingly
  * ofono2mm: rename mm voice to mm modem voice
  * mm_sms: implement store and send methods
  * mm_modem_voice: finalize the voice interface
  * mm_call: implement all properties and comment
  * ofono_modem: add org.ofono.VoiceCall to interfaces
  * modem_messaging: return object path after creating a message
  * modem_voice: add ofono changed methods
  * mm_bearer: drop unused includes
  * main: use replace str calls with f strings
  * ofono2mm: don't hardcode ril_ as modem name
  * Revert: 'mm_modem: rename sim interface from ModemManager to ModemManager1'
  * mm_modem_voice && mm_call: finalize the call setup
  * main: add a try catch block around modem added
  * main: add a try catch block around modem removed
  * Merge pull request #17 from droidian/feature/trixie/dual-sim

  [ Joas329 ]
  * 3gpp_profile_manager: implement all methods for usage with roaming

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 24 Nov 2023 16:52:16 -0500

ofono2mm (0.1.5) trixie; urgency=medium

  * main: bump to MM 1.22.0

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 26 Oct 2023 18:37:25 -0400

ofono2mm (0.1.4,) trixie; urgency=medium

  * Revert "Revert "[ofono2mm] HACK: only export /ril_* modems""
  * ofono: skip over org.ofono.IpMultimediaSystem as it is not usable in ofono2mm
  * add a Makefile
  * Makefile: make bindir, libdir, systemd and polkit all configurable

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 24 Oct 2023 09:56:00 -0400

ofono2mm (0.1.2) trixie; urgency=medium

  * [ofono2mm] Improve detecting if ofono is on the bus

 -- Erik Inkinen <erik.inkinen@erikinkinen.fi>  Thu, 14 Sep 2023 13:44:06 +0300

ofono2mm (0.1.0) trixie; urgency=medium

  * Revert "[ofono2mm] HACK: only export /ril_* modems"
  * [ofono2mm] do not refresh the whole modem list when one modem is added/removed

 -- Erik Inkinen <erik.inkinen@erikinkinen.fi>  Fri, 08 Sep 2023 19:14:41 +0300

ofono2mm (0.1.3) trixie; urgency=medium

  [ Erik Inkinen ]
  * Initial commit
  * Initial packaging
  * Fix file permissions and shebang
  * Fix file search paths
  * Add service
  * Correct a typo
  * Add python3-dbus-next as dependency
  * Add signal strength and equipment id
  * Add ofono manager xml and rename the ofono modem xml
  * Refactor the classess and objects so they make more sense
  * Fix SIM missing state
  * Put the different interfaces in separate files
  * Handle oFono adding modems run time
  * Handle changing oFono interfaces
  * Fix calling coroutines
  * Fix detecting modem run-time addition
  * Fix subinterfaces not getting new data from oFono
  * Give the port for NetworkManager
  * Fix SetPowerState states
  * Add workarounds for systemd to start on boot
  * Re-add sleep as a temporary workaround
  * Fix bugs related to detecting oFono interfaces
  * Fix a bug which caused overloading and crashing
  * Fix misc issues
  * Fix SIM run-time detection
  * Fix a crash while enabling the modem
  * Finalize emitting only required property changes
  * Fix exporting hardware information
  * Finish Modem base interface properties for now
  * Finish Modem 3gpp interface properties for now
  * Finish SIM interface properties for now
  * Implement org.freedesktop.ModemManager1.Modem.SetCurrentModes
  * Implement scanning networks
  * Implement registering to a foreign network
  * Finish Sim Interface
  * Enable receiving SMS messages
  * Fix purple-mm-sms failing when launched by chatty on xdg-autostart
  * Start implementing SMS sending
  * Fix SIM unlocking
  * Fix some properties and PropertiesChanged signal
  * *.py: Remove unused imports
  * Add (dummy) MMBearerInterface class and update bearer manipulation methods
  * Add ofono_context.xml
  * Create Bearers automatically
  * Work on MMSimpleInterface and MMBearerInterface to get initial support for mobile data
  * Fix Python module definition
  * Remove a hardcoded and not used value from MMBearerInterface
  * Reactivate the context if it gets disabled when it is being used it.
  * Add a new MM bearer when a new oFono context is added
  * Fix reactivation code order for bearers
  * Handle bearer username and password.
  * Fix minor styling things.
  * Merge pull request #3 from droidian/feature/bullseye/mobile-data
  * Merge pull request #4 from droidian/feature/bullseye/polkit
  * Merge pull request #6 from droidian/feature/bullseye/g7-fixes
  * Create LICENSE
  * [ci] add CircleCI

  [ Eugenio Paolantonio (g7) ]
  * [ofono2mm] Invoke ofono2mm via a drop-in for the ModemManager service
  * [ofono2mm] Move interfaces to the 'ofono2mm' python package
  * [packaging] Depend on modemmanager
  * [ofono2mm] PolicyKit: Allow users inside the 'radio' group to control ModemManager interfaces
  * [ofono2mm] Introduce a single class to handle ofono's DBus interfaces
  * [ofono2mm] Use the global cache provided by ofono2mm.ofono.Ofono to get dbus_next interfaces
  * [ofono2mm] Add @async_retryable() decorator
  * [ofono2mm] mm_bearer: retry connection indefinitely
  * [ofono2mm] mm_bearer: fix reconnection on drops
  * [ofono2mm] ofono_modem: add signature for org.ofono.SimAuthentication
  * [ofono2mm] mm_bearer: fix typo
  * [ofono2mm] mm_sim: fix crash when running without SimManager
  * [ofono2mm] HACK: only export /ril_* modems
  * [ofono2mm] utils: add decorator for asyncio.Lock()
  * [ofono2mm] lock find_ofono_modems()

  [ Eugenio Paolantonio ]
  * Merge pull request #7 from nitanmarcel/feature/bookworm/initial-implementation

  [ Marcel Alexandru Nitan ]
  * [ofono2mm] Python 3.10 compatibility

 -- Erik Inkinen <erik.inkinen@gmail.com>  Mon, 08 May 2023 08:19:14 +0300

